Name: libXt
Version: 1.2.0
Release: 3
License: X11
Summary: X Toolkit Intrinsics library
URL: http://xorg.freedesktop.org

Source0: http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool

BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxcb-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
X.Org Xt library.

%package -n libXt6
Summary: X.Org Xt library.
Conflicts: libXt
Obsoletes: libXt

%description -n libXt6
X.Org Xt library.

%package devel
Summary: Development files for the X Toolkit Intrinsics library
Requires: libXt6 = %{version}-%{release}
Requires: libICE-devel
Requires: libSM-devel
Requires: xorg-x11-proto-devel

%description devel
X.Org Xt library.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build

export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
    CPPFLAGS="-pthread" \
    LDFLAGS="-pthread -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    #end

%make_build

%check
make check

%install
%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXt6
%defattr(-, qsys, *none)
%license COPYING
%doc ChangeLog
%{_libdir}/libXt.so.6

%files devel
%defattr(-, qsys, *none)
%{_libdir}/libXt.so
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%{_datadir}/doc/libXt/*.xml

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.0
- Obsolete and Conflict old package name provided by qsecofr repo
- Add missing -pthread flags to resolve compile time error

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.0
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.2.0
- Initial spec
